#include "testlib.h"

using namespace std;


#define MAXN 100000
#define MAXC 100000

int main()
{
    registerValidation();
    long n; 
    for (int k = 0; k < 4; k++) {
        n = inf.readInt(1, MAXN);
    	inf.readEoln();
        for (long i = 0; i < n - 1; i++) {
		inf.readInt(1, MAXC);
		inf.readSpace();
	}
	inf.readInt(1, MAXC);
	inf.readEoln();
    }
    inf.readEof();
    return 0;
}
